glab(1)

NAME

glab-completion - Generate shell completion scripts

SYNOPSIS

glab completion [flags]

DESCRIPTION

The output of this command will be computer code and is meant to be saved to a file or immediately evaluated by an interactive shell. To load completions:

  Bash

To load completions in your current shell session:

    source <(glab completion -s bash)

To load completions for every new session, execute once:

  Linux

    glab completion -s bash > /etc/bash_completion.d/glab

  macOS

    glab completion -s bash > /usr/local/etc/bash_completion.d/glab

  Zsh

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:

    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:

    source <(glab completion -s zsh); compdef _glab glab

To load completions for every new session, execute once:

  Linux

    glab completion -s zsh > "${fpath[1]}/_glab"

  macOS

For older versions of macOS, this may be required:

    glab completion -s zsh > /usr/local/share/zsh/site-functions/_glab

The Homebrew version of glab should automatically install completions.

  fish

To load completions in your current shell session:

    glab completion -s fish | source

To load completions for every new session, execute once:

    glab completion -s fish > ~/.config/fish/completions/glab.fish

  PowerShell

To load completions in your current shell session:

    glab completion -s powershell | Out-String | Invoke-Expression

To load completions for every new session, add the output of the above command to your PowerShell profile.

When installing glab through a package manager, however, it's possible that no additional shell configuration is necessary to gain completion support. For Homebrew, see https://docs.brew.sh/Shell-Completion ⟨https://docs.brew.sh/Shell-Completion⟩

OPTIONS

--no-desc[=false]
    Do not include shell completion description

-s, --shell="bash"
    Shell type: {bash|zsh|fish|powershell}

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

SEE ALSO

glab(1)